Application: gvSIG desktop - gvSIG bugs #1395
Polyline tool fails when using options Terminate or End [E]
11/19/2012 01:31 PM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2058 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: polyline Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

Open New View
Add Layer comunicaciones_andalucia.shp (
http://downloads.gvsig.org/download/geodata/vector/SHP2D/comunicaciones andalucia.zip)

Select layer in Toc

Click right button of mouse on layer selected and Start Edition
Go to menu Layer/Insert/Polyline

Insert 4 vertices

Click right button of mouse and select Terminate

The last vertex is vertex number 5, and it should be vertex number 3 (0,1,2,3=4 vertices)
If you make a zoom to that polyline you could notice that the second vertex is vertex number 1 and 2 (at the same time)

If you go to menu Selection/Simple and you select the polyline, appears an error 'java.lang.NullPointerException’

It happens the same if we type [E] to End polyline in console

History

#1 - 11/19/2012 02:37 PM - Abenchara Socorro

This has appeared in build 2058, in previous builds this didn't happen

#2 - 11/20/2012 10:50 AM - Juan Lucas Dominguez

- Status changed from New to Fixed

- Assignee set to Juan Lucas Dominguez

Fixed behavior of polyline tool.

gvsig-desktop:r39280

The issues commented in this ticket should now work.
http://downloads.gvsig.org/download/geodata/vector/SHP2D/comunicaciones_andalucia.zip

#3 - 11/26/2012 02:39 PM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2059-beta2
